javax.faces.component.html

## Enum HtmlOutputFormat.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlOutputFormat.PropertyKeys>
  - - javax.faces.component.html.HtmlOutputFormat.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlOutputFormat.PropertyKeys>
  Enclosing class:
    HtmlOutputFormat

      protected static enum HtmlOutputFormat.PropertyKeys
      extends Enum<HtmlOutputFormat.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `dir`
    `escape`
    `lang`
    `role`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlOutputFormat.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlOutputFormat.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### dir

          public static final HtmlOutputFormat.PropertyKeys dir

    - #### escape

          public static final HtmlOutputFormat.PropertyKeys escape

    - #### lang

          public static final HtmlOutputFormat.PropertyKeys lang

    - #### role

          public static final HtmlOutputFormat.PropertyKeys role

    - #### style

          public static final HtmlOutputFormat.PropertyKeys style

    - #### styleClass

          public static final HtmlOutputFormat.PropertyKeys styleClass

    - #### title

          public static final HtmlOutputFormat.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlOutputFormat.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlOutputFormat.PropertyKeys c : HtmlOutputFormat.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlOutputFormat.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlOutputFormat.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.